// nvsts is a multi-directional shooter game.
// Copyright (C) 2008 Carles Creus Lopez
//
// nvsts is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>
// or write to the Free Software Foundation, Inc., 51 Franklin Street,
// Fifth Floor, Boston, MA 02110-1301 USA.
//
// You may contact the author at <crazycraft@gmail.com>

#ifndef LASERTAIL_HPP
#define LASERTAIL_HPP

#include "Automaton.hpp"
#include "LaserParts.hpp"

namespace au {

// auxiliar class for lasers
class LaserTail : public Automaton{
	public:
		// ctor
		LaserTail( const util::Vector& xy, const util::Vector& v2, LaserParts *parts );
		// dtor
		virtual ~LaserTail();

		// unserializes the automaton
		static void unserialize( std::istream& in );

	private:
		// parts to draw
		LaserParts *parts;

	// redefined automaton functions

	public:
		// serializes the automaton
		virtual void serialize( std::ostream& out );

	protected:
		// drawing function
		virtual void specific_draw();
		// process function
		virtual void specific_process( int milliseconds );
};

}

#endif // LaserTail.hpp
