// nvsts is a multi-directional shooter game.
// Copyright (C) 2008 Carles Creus Lopez
//
// nvsts is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>
// or write to the Free Software Foundation, Inc., 51 Franklin Street,
// Fifth Floor, Boston, MA 02110-1301 USA.
//
// You may contact the author at <crazycraft@gmail.com>

#ifndef RANDOM_HPP
#define RANDOM_HPP

#include <boost/random/lagged_fibonacci.hpp>
#include "Real.hpp"

namespace util {

class Random{
	public:
		// (re)initializes the random number generation [depends on: -]
		static void init();

		// get a [-1,1] random number
		static real get();
		// get a [0,1] random number
		static real uget();
		// get a [-x,x] random number
		static real get( real x );
		// get a [min,max] random number
		static real get( real min, real max );

	private:
		// PRNG
		static boost::lagged_fibonacci607 gen;
};

}

#endif // Random.hpp
