// nvsts is a multi-directional shooter game.
// Copyright (C) 2008 Carles Creus Lopez
//
// nvsts is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>
// or write to the Free Software Foundation, Inc., 51 Franklin Street,
// Fifth Floor, Boston, MA 02110-1301 USA.
//
// You may contact the author at <crazycraft@gmail.com>

#ifndef REAL_HPP
#define REAL_HPP

#include <cfloat>

#ifdef USE_DOUBLES
# define real         double
# define REAL_MAX     DBL_MAX
# define PI           3.14159265358979323846
# define glScale      glScaled
# define glColor4     glColor4d
# define glTranslate  glTranslated
# define glRotate     glRotated
# define glVertex2    glVertex2d
# define glTexCoord2  glTexCoord2d
#else // using double arithmetic
# define real         float
# define REAL_MAX     FLT_MAX
# define PI           3.1415926535
# define glScale      glScalef
# define glColor4     glColor4f
# define glTranslate  glTranslatef
# define glRotate     glRotatef
# define glVertex2    glVertex2f
# define glTexCoord2  glTexCoord2f
#endif // using float arithmetic

#endif // Real.hpp
