// nvsts is a multi-directional shooter game.
// Copyright (C) 2008 Carles Creus Lopez
//
// nvsts is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>
// or write to the Free Software Foundation, Inc., 51 Franklin Street,
// Fifth Floor, Boston, MA 02110-1301 USA.
//
// You may contact the author at <crazycraft@gmail.com>

#ifndef TEXT_HPP
#define TEXT_HPP

#include <string>

namespace util {

class Text {
	public:
		// returns a copy of str with all leading and trailing white space
		// characters removed
		static std::string trim( const std::string& str );
		// returns a copy of str with the first line feed character (or the first
		// carriage return character) and on truncated.
		static std::string eraseNewLine( const std::string& str );
		// returns a copy of str with the first three bytes skipped if they are
		// the UTF-8's BOM
		static std::string utf8SkipBOM( const std::string& str );
		// returns the total number of extra chars needed to form the Unicode
		// characteres in str (i.e.: str.length() - extra == num of Unicode characteres)
		// note: it does not take into account ligatures and the likes
		static int utf8OverheadBytes( const std::string& str );
};

}

#endif // Text.hpp
